import {Component, OnInit} from '@angular/core';
import {AlarmService} from '../alarm.service';
import {pageSize} from '../../app.constants';

@Component({
    selector: 'smart-alarm-list',
    templateUrl: './alarm-list.component.html',
    styles: []
})
export class AlarmListComponent implements OnInit {

    eventList = [];
    pageNum = 1;
    pageCount = pageSize;

    constructor(public alarmSer: AlarmService) {
    }

    ngOnInit() {
        this.getList();
    }

    getList() {
        const data = {
            pageNum:this.pageNum,
            pageCount:this.pageCount,
        };
        this.alarmSer.eventFind(data).subscribe(
            (res) => {

            }
        );
    }

}
